
// A TextListener that forwards TextEvent events to the
//   jLinker notify-lisp dispatcher.

import java.awt.*;
import java.awt.event.*;


public class JLTextListener implements TextListener {

  private Object handle;

  public static synchronized void addTo( TextComponent comp ) {
    JLTextListener l = new JLTextListener();
    l.handle = (Object)comp;
    comp.addTextListener( (TextListener)l );
  }


  public void textValueChanged(TextEvent e) {

    String[] s = new String[0];
    int[]    l = new int[0];
    
    com.franz.jlinker.JavaLinkCommon.ltoj_anchor.callLisp
      ("textValueChanged", handle, s, l);
  }

}

